### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-menu/ecl-menu/ecl-menu-item.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`EclMenuItem` `AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-menu-item`
styles | `:host { display: list-item; } /* due to eui css leak targeting all elements with box-sizing of border-box */ .ecl-menu__link { box-sizing: unset; }`
templateUrl | `./ecl-menu-item.component.html`

### Index

###### Properties

- cmpClass
- Readonly FULL_TRIGGER
- isExpanded
- isFocused
- isFull
- submenu

###### Methods

- keyEvent
- onItemClick
- onItemFocus
- onItemMouseEnter
- getCssClasses

###### Inputs

- href
- id
- isCurrent
- label
- class
- e2eAttr

###### Outputs

- menuItemFocus
- menuItemHover
- menuItemSelect
- menuMegaItemSelect

###### HostBindings

- attr.aria-expanded
- class.ecl-menu__item
- class.ecl-menu__item--expanded
- class.ecl-menu__item--focused
- class.ecl-menu__item--full
- class.ecl-menu__item--has-children

###### HostListeners

- keydown

###### Accessors

- hasEclChildrenDataAttribute
- hasChildren
- children

### Inputs

href
Type : `string`
Default value : `''`

id
Type : `string`

isCurrent
Type : `boolean`

label
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

menuItemFocus
Type : `EventEmitter`

menuItemHover
Type : `EventEmitter`

menuItemSelect
Type : `EventEmitter`

menuMegaItemSelect
Type : `EventEmitter`

### HostBindings

attr.aria-expanded
Type : `boolean`

class.ecl-menu__item
Type : `boolean`
Default value : `true`

class.ecl-menu__item--expanded
Type : `boolean`

class.ecl-menu__item--focused
Type : `boolean`
Default value : `false`

class.ecl-menu__item--full
Type : `boolean`
Default value : `false`

class.ecl-menu__item--has-children
Type : `boolean`

### HostListeners

keydown
Arguments : `'$event'`
`keydown(event: KeyboardEvent)`

### Methods

keyEvent
`keyEvent(event: KeyboardEvent)`
Decorators : `@HostListener('keydown', ['$event'])`

Parameters :

Name | Type | Optional
event | `KeyboardEvent` | No

Returns : `void`

onItemClick
`onItemClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

onItemFocus
`onItemFocus(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

onItemMouseEnter
`onItemMouseEnter(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

cmpClass
Type : `boolean`
Default value : `true`
Decorators : `@HostBinding('class.ecl-menu__item')`

Readonly FULL_TRIGGER
Type : `number`
Default value : `12`

isExpanded
Type : `boolean`
Decorators : `@coerceBoolean() @HostBinding('class.ecl-menu__item--expanded') @HostBinding('attr.aria-expanded')`

isFocused
Type : `boolean`
Default value : `false`
Decorators : `@coerceBoolean() @HostBinding('class.ecl-menu__item--focused')`

isFull
Type : `boolean`
Default value : `false`
Decorators : `@coerceBoolean() @HostBinding('class.ecl-menu__item--full')`

submenu
Type : `EclMenuMegaComponent`
Decorators : `@ContentChild(undefined)`

### Accessors

hasEclChildrenDataAttribute
get `hasEclChildrenDataAttribute()`

hasChildren
get `hasChildren()`

children
get `children()`

# results matching ""

# No results matching ""